Package x2go :: Module printactions :: Class X2GoPrintActionPRINTCMD

[frames] | no frames]

# Class X2GoPrintActionPRINTCMD

source code

         object --+
                  |
    X2GoPrintAction --+
                      |
                     X2GoPrintActionPRINTCMD

Print action that calls an external command for further processing of incoming print jobs.

The print job's PDF filename will be prepended as last argument to the print command used in X2GoPrintActionPRINTCMD instances.

Instance Methods

__init__(self, client_instance=None, print_cmd=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

Inherited from `X2GoPrintAction`: `do_print` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``PRINTCMD``'``
| __decription__ = ``'``Print via a command (like LPR)``'``
Inherited from `X2GoPrintAction`: `__description__`

Properties
Inherited from `X2GoPrintAction`: `description`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, print_cmd=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go print actions.

Parameters:
  - `client_instance` (`obj`) - the underlying X2GoClient instance
  - `print_cmd` (`str`) - external command to be called on incoming print jobs
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoPrintActionPRINTCMD constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__